# Re: Cannot compile sane-1.0.2 on SuSE 6.4

From: Robert Schwebel (robert@schwebel.de)
Date: Wed Apr 19 2000 - 23:56:29 PDT

- Next message: Alvaro Nunes: "Re: xscanimage on Gimp"
  - Previous message: Petter Reinholdtsen: "Re: Cannot compile sane-1.0.2 on SuSE 6.4"
  - In reply to: Petter Reinholdtsen: "Re: Cannot compile sane-1.0.2 on SuSE 6.4"
  - Next in thread: Petter Reinholdtsen: "Re: Cannot compile sane-1.0.2 on SuSE 6.4"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  On Thu, 20 Apr 2000, Petter Reinholdtsen wrote:
  > Yes, I assume someone forgot to update the NDEBUG part when they
  > changed the params of DBG_INIT(). I think this is the correct fix:

  [...]

  I've changed it in sanei/

  - sanei_ab306.c
  - sanei_scsi.c
  - sanei_config.c

  Now I get lots of warnings about empty declarations, like this:

  ----------8<----------8<----------8<----------8<----------
  /usr/bin/gcc -c -DHAVE_CONFIG_H -I. -I. -I../include/sane -I../include
  -DNDEBUG -Df2cFortran -D_GNU_SOURCE
  -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
  -DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0 -O -W -Wall
  -DSCSIBUFFERSIZE=131072 getopt1.c -fPIC -DPIC -o .libs/getopt1.lo
  In file included from /usr/include/stdio.h:33,
  from getopt1.c:33:
  /usr/lib/gcc-lib/i486-suse-linux/2.95.2/include/stddef.h:170: warning: empty
  declaration
  ----------8<----------8<----------8<----------8<----------

  make breaks up here:

  ----------8<----------8<----------8<----------8<----------
  /usr/bin/gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include -DNDEBUG
  -Df2cFortran -D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
  -DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0 -O -W -Wall
  -DSCSIBUFFERSIZE=131072 sanei_pio.c -fPIC -DPIC -o .libs/sanei_pio.lo
  In file included from /usr/include/fcntl.h:33,
  from sanei_pio.c:95:
  /usr/include/bits/fcntl.h:38: warning: `O_NONBLOCK' redefined
  ../include/sane/sanei_backend.h:15: warning: this is the location of the
  previous definition
  sanei_pio.c:141: warning: `DBG_INIT' redefined
  ../include/sane/sanei_debug.h:16: warning: this is the location of the
  previous definition
  sanei_pio.c: In function `outb':
  sanei_pio.c:72: `u_short' undeclared (first use in this function)
  sanei_pio.c:72: (Each undeclared identifier is reported only once
  sanei_pio.c:72: for each function it appears in.)
  sanei_pio.c:72: parse error before `port'
  sanei_pio.c:70: warning: unused parameter `port'
  sanei_pio.c: In function `inb':
  sanei_pio.c:80: `u_short' undeclared (first use in this function)
  sanei_pio.c:80: parse error before `port'
  sanei_pio.c:76: warning: unused parameter `port'
  In file included from /usr/include/bits/types.h:29,
  from /usr/include/sys/types.h:30,
  from ../include/sane/sanei_pio.h:45,
  from sanei_pio.c:90:
  /usr/lib/gcc-lib/i486-suse-linux/2.95.2/include/stddef.h: At top level:
  /usr/lib/gcc-lib/i486-suse-linux/2.95.2/include/stddef.h:170: warning: empty
  declaration
  In file included from ../include/sane/sanei_pio.h:45,
  from sanei_pio.c:90:
  /usr/include/sys/types.h:33: warning: empty declaration
  /usr/include/sys/types.h:34: `u_short' used prior to declaration
  /usr/include/sys/types.h:35: warning: empty declaration
  /usr/include/sys/types.h:36: warning: empty declaration
  In file included from ../include/sane/sanei_pio.h:45,
  from sanei_pio.c:90:
  /usr/include/sys/types.h:175: warning: redefinition of `u_int8_t'
  ../include/sane/sanei_backend.h:22: warning: `u_int8_t' previously
  declared here
  /usr/include/sys/types.h:176: warning: redefinition of `u_int16_t'
  ../include/sane/sanei_backend.h:26: warning: `u_int16_t' previously
  declared here
  /usr/include/sys/types.h:177: warning: redefinition of `u_int32_t'
  ../include/sane/sanei_backend.h:30: warning: `u_int32_t' previously
  declared here
  sanei_pio.c: In function `pio_write':
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c: In function `pio_read':
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c:78: warning: `value' might be used uninitialized in this
  function
  sanei_pio.c: In function `pio_open':
  sanei_pio.c:456: warning: implicit declaration of function `ioperm'
  make[1]: *** [sanei_pio.o] Error 1
  make[1]: Leaving directory `/home/local/sane-1.0.2/sanei'
  make: *** [all-recursive] Error 1
  callisto:/usr/local/sane-1.0.2 #
  ----------8<----------8<----------8<----------8<----------

  Robert

      --
       +----------------------------------------------------------+
        Robert Schwebel, Luedemannstrasse 25, 24114 Kiel, Germany
          Public Observatory Rothwesten  (near Kassel, Germany)
            Phone: +49-431-6794138, email: robert@schwebel.de
      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Alvaro Nunes: "Re: xscanimage on Gimp"
  - Previous message: Petter Reinholdtsen: "Re: Cannot compile sane-1.0.2 on SuSE 6.4"
  - In reply to: Petter Reinholdtsen: "Re: Cannot compile sane-1.0.2 on SuSE 6.4"
  - Next in thread: Petter Reinholdtsen: "Re: Cannot compile sane-1.0.2 on SuSE 6.4"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Thu Apr 20 2000 - 00:00:40 PDT